Debian Bug report logs - #619631
RFP: eclipse-plugin-avr -- tools for developing C programs for the ATMEL AVR series of embedded processors

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christopher Baines <cbaines8@gmail.com>

Date: Fri, 25 Mar 2011 18:09:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619631; Package wnpp. (Fri, 25 Mar 2011 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher Baines <cbaines8@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 25 Mar 2011 18:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christopher Baines <cbaines8@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: eclipse-plugin-avr -- tools for developing C programs for the ATMEL AVR series of embedded processors
Date: Fri, 25 Mar 2011 18:04:20 +0000
Package: wnpp
Severity: wishlist

  Package name    : eclipse-plugin-avr
  Version         : 2.3.4
  Upstream Author : 
  URL             : http://avr-eclipse.sourceforge.net/wiki/index.php/The_AVR_Eclipse_Plugin
  License         : GPL
  Programming Lang: Java 
  Description     : tools for developing C programs for the ATMEL AVR series of embedded processors




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619631; Package wnpp. (Fri, 25 Mar 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 25 Mar 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 619631@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Christopher Baines <cbaines8@gmail.com>, 619631@bugs.debian.org
Subject: Re: Bug#619631: RFP: eclipse-plugin-avr -- tools for developing C programs for the ATMEL AVR series of embedded processors
Date: Fri, 25 Mar 2011 21:39:00 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2011-03-25 19:04, Christopher Baines wrote:
> Package: wnpp
> Severity: wishlist
> 
>   Package name    : eclipse-plugin-avr
>   Version         : 2.3.4
>   Upstream Author : 
>   URL             : http://avr-eclipse.sourceforge.net/wiki/index.php/The_AVR_Eclipse_Plugin
>   License         : GPL
>   Programming Lang: Java 
>   Description     : tools for developing C programs for the ATMEL AVR series of embedded processors
> 
> 
> 


Hey

Is this "GPL" or "GPL with exception"? Because if it is a pure GPL, then
this plugin cannot be linked against eclipse/SWT since GPL and EPL are
incompatiable.

~Niels

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJNjP1jAAoJEAVLu599gGRCnxIQAJjIoq0Fhk2cX5D0APdz61/2
UlqVRYflJTTG9c6O0xy0qCvOiBVgJNgqt1rEkKQY8qs97vvITara+9yDC904/Kqp
INVOkWDWEW6QUfoO5FxaUuXe5r0nETRd0VCaB3EsCUjT6ENLiGI1gt165L96yIj8
ngVoNpuvTq+GF12XSU/sIn8yHpuQjo86BQU+T3rs7tT8lRcbBlQduakikUmv/XGJ
gTfyTUHMpNv4goN7mhx/Qn626C5LCvbkaRjdoUZKte4ussJDTAp2iPRFQwq2e3VW
xfrkrRVQybRyg53a3flApGKlJRsie8/tOtGFCiZG+MRD3IPXYBamcR9uuauynlh2
YujK5A1ao2bI1+7Qh2GyWXFBAg/P82usDjxv/M/ik1frA/nTg9IbTz2oq8Pgj6N9
TyLx72JubGYW1bPiJ2Y8LS4BpeAWoBZCGfjjgPJqWZr8bPK9Dn/9dG5pxR9faAjv
Nts6dzKq9EX6WvqzrUZv57i4APKDBLANi1NpQyPyw6odfHPF747Lqtuk4NM+4zPL
M8u1s6y063xDUq22gmQSmPMrCdxphGQ0GOcSGph8ZHMOgm7NibRvJ+GxtLNKWex6
nUuIqWF8Tyo6exQCQLV29JS3eT+qTD95o9T1crKcrseIKFPA3YA2P0Ml94cFa7W0
LEY7l7mCeOwS7MFp5z1L
=Ower
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619631; Package wnpp. (Sat, 26 Mar 2011 09:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to cbaines8@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Mar 2011 09:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 619631@bugs.debian.org (full text, mbox):

From: Chris <cbaines8@gmail.com>
To: Niels Thykier <niels@thykier.net>
Cc: 619631@bugs.debian.org
Subject: Re: Bug#619631: RFP: eclipse-plugin-avr -- tools for developing C programs for the ATMEL AVR series of embedded processors
Date: Sat, 26 Mar 2011 09:06:51 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2011-03-25 at 21:39 +0100, Niels Thykier wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> On 2011-03-25 19:04, Christopher Baines wrote:
> > Package: wnpp
> > Severity: wishlist
> > 
> >   Package name    : eclipse-plugin-avr
> >   Version         : 2.3.4
> >   Upstream Author : 
> >   URL             : http://avr-eclipse.sourceforge.net/wiki/index.php/The_AVR_Eclipse_Plugin
> >   License         : GPL
> >   Programming Lang: Java 
> >   Description     : tools for developing C programs for the ATMEL AVR series of embedded processors
> > 
> > 
> > 
> 
> 
> Hey
> 
> Is this "GPL" or "GPL with exception"? Because if it is a pure GPL, then
> this plugin cannot be linked against eclipse/SWT since GPL and EPL are
> incompatiable.
> 
> ~Niels

I think its pure GPL v3, should I check with the project admin about
this issue?

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619631; Package wnpp. (Sat, 26 Mar 2011 09:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Mar 2011 09:24:05 GMT) Full text and rfc822 format available.

Message #20 received at 619631@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: cbaines8@gmail.com
Cc: 619631@bugs.debian.org
Subject: Re: Bug#619631: RFP: eclipse-plugin-avr -- tools for developing C programs for the ATMEL AVR series of embedded processors
Date: Sat, 26 Mar 2011 10:19:09 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2011-03-26 10:06, Chris wrote:
> On Fri, 2011-03-25 at 21:39 +0100, Niels Thykier wrote:
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA256
>>
>> On 2011-03-25 19:04, Christopher Baines wrote:
>>> Package: wnpp
>>> Severity: wishlist
>>>
>>>   Package name    : eclipse-plugin-avr
>>>   Version         : 2.3.4
>>>   Upstream Author : 
>>>   URL             : http://avr-eclipse.sourceforge.net/wiki/index.php/The_AVR_Eclipse_Plugin
>>>   License         : GPL
>>>   Programming Lang: Java 
>>>   Description     : tools for developing C programs for the ATMEL AVR series of embedded processors
>>>
>>>
>>>
>>
>>
>> Hey
>>
>> Is this "GPL" or "GPL with exception"? Because if it is a pure GPL, then
>> this plugin cannot be linked against eclipse/SWT since GPL and EPL are
>> incompatiable.
>>
>> ~Niels
> 
> I think its pure GPL v3, should I check with the project admin about
> this issue?
> 
> Chris

Please do; if it is a pure GPL v3 then they have to change license of
the project and that can take quite a while as they have to get it
approved by all copyright holders.

~Niels


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJNja+MAAoJEAVLu599gGRCgUQP/31JbHLIIAPWVXoGRyqcQ7yM
AJLcEI2JYRW+JfQ3uR5xdtI4jmsI1HB1VeazONsY/RFYO4RIvbdIO11VY+Ow/6wQ
6SHDM733O/f/ceeHo+FeFYx8tAxEpS8F35yFuY5WFqxhsCe9/7YNFf7MsBs8b14S
39xgegtL2RMSyN9QzaEEHsvthJP0nGXzyGwZX8lLEDBEiMjQTM+sFn4/OJDRPHyp
NAZsE/Q6nYTxj7Ks0IJgVuaAKp8QpFaU1kYxdy6Eo+OZFHnUDeIjnKX4xvq0we+l
q4LX7arl946mqbtXbeeXEpeX1RpeeJzE22GUHknchqn4GiyvjaMz3hVIIK5oocZC
VAupevFm/ko+oWGEkt6ni3YmpRcH4t1Cw1HUCHrPdIoe109o9x8M8RyUb9/+1Vtv
DsNDa2mDm9sipALEvBCUWG/RDSz2eXxXwbMyoXv0MOX+5b6lXM9ebG2Pu97J+VU+
wEhnFbWAFgD3wYFu3Fb/NlRh+mVQKFqvAnhzkYBemILFzXq41kgaKBaULnMYa+Xl
V+z8qCRIJtT8ueVTPSQCWFkVO0qcvkGtb9cq1iUVwFXXwCF2ZVSW+G8sbW3J6v0t
0/n9AEQlrjFYXPoprC/uaOFbZboi4O2TXUbQUWq9I1E0G0t36UPZxDKCSr6XcVEF
Az9xoNziZsn3dm9hilo+
=Fcae
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619631; Package wnpp. (Sun, 27 Mar 2011 09:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to cbaines8@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Mar 2011 09:27:06 GMT) Full text and rfc822 format available.

Message #25 received at 619631@bugs.debian.org (full text, mbox):

From: Chris <cbaines8@gmail.com>
To: Niels Thykier <niels@thykier.net>
Cc: 619631@bugs.debian.org
Subject: Re: Bug#619631: RFP: eclipse-plugin-avr -- tools for developing C programs for the ATMEL AVR series of embedded processors
Date: Sun, 27 Mar 2011 10:25:21 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-03-26 at 10:19 +0100, Niels Thykier wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> On 2011-03-26 10:06, Chris wrote:
> > On Fri, 2011-03-25 at 21:39 +0100, Niels Thykier wrote:
> >> -----BEGIN PGP SIGNED MESSAGE-----
> >> Hash: SHA256
> >>
> >> On 2011-03-25 19:04, Christopher Baines wrote:
> >>> Package: wnpp
> >>> Severity: wishlist
> >>>
> >>>   Package name    : eclipse-plugin-avr
> >>>   Version         : 2.3.4
> >>>   Upstream Author : 
> >>>   URL             : http://avr-eclipse.sourceforge.net/wiki/index.php/The_AVR_Eclipse_Plugin
> >>>   License         : GPL
> >>>   Programming Lang: Java 
> >>>   Description     : tools for developing C programs for the ATMEL AVR series of embedded processors
> >>>
> >>>
> >>>
> >>
> >>
> >> Hey
> >>
> >> Is this "GPL" or "GPL with exception"? Because if it is a pure GPL, then
> >> this plugin cannot be linked against eclipse/SWT since GPL and EPL are
> >> incompatiable.
> >>
> >> ~Niels
> > 
> > I think its pure GPL v3, should I check with the project admin about
> > this issue?
> > 
> > Chris
> 
> Please do; if it is a pure GPL v3 then they have to change license of
> the project and that can take quite a while as they have to get it
> approved by all copyright holders.
> 
> ~Niels

Ok, I have a response from the lead developer of the project [1].

> I recently requested that the Eclipse AVR Plug-in be packaged and
> included in Debian [1]. However it was brought to my attention that
> Eclipse is licensed under the EPL, and this is incompatible with the
> GPL, this incomparability according to wikipedia makes combined works
> unlawful to distribute [2].
> 
> Is this correct?
> 
INAL, but I think that this might be correct.

The AVR Plugin was already GPL when I took over from the previous
maintainer. I like the GPL so I continued with it. However I am aware
that using a GPL Plugin with Eclipse is a somewhat grey area due to
license incompatibility. 

I have contemplated for some time to change the AVR plugin license to
the EPL,  if only to reuse Eclipse and CDT code in the plugin (which I
can't do as long as the plugin is still GPL).

A license change should not be too difficult as I have written probably
95%+ of the code of the plugin myself. Most of the original GPL code
from the previous maintainer and from those 2 or 3 contributors have
probably been rewritten multiple times, but I would still have to check
that and also, as a courtesy,  ask those contributors if they agree with
a license change.

But as I don't really work on the AVR Plugin anymore (due to time
constraints), I have not but any effort into a license change.

brgds,

Thomas


I also filed a bug in the tracker so that this issue can hopefully be
tracked and resolved [2].

Chris

[1]
https://sourceforge.net/mailarchive/forum.php?thread_name=4D8E5DC7.3000005%40innot.de&forum_name=avr-eclipse-user
[2]
https://sourceforge.net/tracker/?func=detail&aid=3248913&group_id=189165&atid=928232

[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:03:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.